JUCE: DocumentWindow::LookAndFeelMethods Struct Reference

JUCE

Public Member Functions | List of all members
DocumentWindow::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » windows

This abstract base class is implemented by LookAndFeel classes to provide window drawing functionality. More...

`#include <juce_DocumentWindow.h>`

Inheritance diagram for DocumentWindow::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual void | drawDocumentWindowTitleBar (DocumentWindow &, Graphics &, int w, int h, int titleSpaceX, int titleSpaceW, const Image *icon, bool drawTitleTextOnLeft)=0
virtual Button * | createDocumentWindowButton (int buttonType)=0
virtual void | positionDocumentWindowButtons (DocumentWindow &, int titleBarX, int titleBarY, int titleBarW, int titleBarH, Button *minimiseButton, Button *maximiseButton, Button *closeButton, bool positionTitleBarButtonsOnLeft)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide window drawing functionality.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual DocumentWindow::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ drawDocumentWindowTitleBar()

virtual void DocumentWindow::LookAndFeelMethods::drawDocumentWindowTitleBar | ( | DocumentWindow & | ,
|  | Graphics & | ,
|  | int | w,
|  | int | h,
|  | int | titleSpaceX,
|  | int | titleSpaceW,
|  | const Image * | icon,
|  | bool | drawTitleTextOnLeft
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ createDocumentWindowButton()

virtual Button * DocumentWindow::LookAndFeelMethods::createDocumentWindowButton | ( | int | buttonType | ) |
| pure virtual

Implemented in LookAndFeel_V1, LookAndFeel_V2, LookAndFeel_V3, and LookAndFeel_V4.

## ◆ positionDocumentWindowButtons()

virtual void DocumentWindow::LookAndFeelMethods::positionDocumentWindowButtons | ( | DocumentWindow & | ,
|  | int | titleBarX,
|  | int | titleBarY,
|  | int | titleBarW,
|  | int | titleBarH,
|  | Button * | minimiseButton,
|  | Button * | maximiseButton,
|  | Button * | closeButton,
|  | bool | positionTitleBarButtonsOnLeft
| ) |  |
| pure virtual

Implemented in LookAndFeel_V1, LookAndFeel_V2, and LookAndFeel_V4.

The documentation for this struct was generated from the following file:

- juce_DocumentWindow.h